Bug #1184

Updated by Joel Palmius 8 months ago

*THIS IS FIXED IN THE STABLE BRANCH ON BITBUCKET, BUT THE PPA HAS NOT YET BEEN UPDATED TO SUPPORT UBUNTU 18.04. IF YOU USE UBUNTU 18.04, RUN FROM SOURCE: http://www.makehumancommunity.org/wiki/Documentation:Running_MakeHuman_from_source, AND BE SURE TO CHECKOUT THE "STABLE" BRANCH*

The export to _any_ type is not working on my Ubuntu installation, resulting in the following error:
<pre>
Exception during event onFileSelected
Traceback (most recent call last):
File "./core/events3d.py", line 219, in callEvent
method(event)
File "./apps/gui/guiexport.py", line 112, in onFileSelected
exporter.export(gui3d.app.selectedHuman, filename)
File "plugins/9_export_collada/__init__.py", line 132, in export
exportCollada(filename("dae"), cfg)
File "plugins/9_export_collada/mh2collada.py", line 79, in exportCollada
meshes = [obj.mesh.clone(config.scale, filterMaskedVerts=not config.hiddenGeom) for obj in objects]
File "./core/module3d.py", line 160, in clone
self.filterMaskedVerts(other, update=False)
File "./core/module3d.py", line 311, in filterMaskedVerts
inverse_uv_idx[uv_idx] = np.arange(self.texco.shape[0], dtype=np.int32)
ValueError: shape mismatch: value array of shape (21334,) could not be broadcast to indexing result of shape (14517,)
</pre>

The first few lines of the system configuration are the following (please tell if you need the GL-versions etc.):
<pre>
NO VERSION file detected, retrieving revision info from HG
Detected HG revision: r2133 (f1c1945ee9e3)
Initialized logging
VERSION: 1.2.0 (r2133 f1c1945ee9e3) [hg parents command]
HG REVISION: r2133 (f1c1945ee9e3) [hg parents command]
HG BRANCH: default
SHORT VERSION: v1.2.0
BASEMESH VERSION: hm08
IS BUILT (FROZEN): No
IS RELEASE VERSION: No
DEFAULT ENCODING: utf-8
FILESYSTEM ENCODING: UTF-8
STDOUT ENCODING: UTF-8
WORKING DIRECTORY: /home/weis/code/makehuman/makehuman
HOME LOCATION: /home/weis
PYTHON PATH: ./:./lib:./apps:./shared:./apps/gui:./core:/home/weis/code/makehuman/makehuman:/usr/lib/python2.7:/usr/lib/python2.7/plat-x86_64-linux-gnu:/usr/lib/python2.7/lib-tk:/usr/lib/python2.7/lib-old:/usr/lib/python2.7/lib-dynload:/usr/local/lib/python2.7/dist-packages:/usr/lib/python2.7/dist-packages:/usr/lib/python2.7/dist-packages/gtk-2.0
DLL PATH: /usr/local/cuda-8.0/bin:/home/weis/bin:/home/weis/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/lib/jvm/java-8-oracle/bin:/usr/lib/jvm/java-8-oracle/db/bin:/usr/lib/jvm/java-8-oracle/jre/bin
SYS.VERSION: 2.7.12 (default, Nov 19 2016, 06:48:10) [GCC 5.4.0 20160609]
SYS.PLATFORM: linux2
SYS.EXECUTABLE: /usr/bin/python
PLATFORM.MACHINE: x86_64
PLATFORM.PROCESSOR: x86_64
PLATFORM.UNAME.RELEASE: 4.8.0-58-generic
PLATFORM.LINUX_DISTRIBUTION: Ubuntu 16.04 xenial
NUMPY.VERSION: 1.13.0
No OpenGL_accelerate module loaded: No module named OpenGL_accelerate
Unable to load registered array format handler numeric
Unable to load registered array format handler vbo
Unable to load registered array format handler vbooffset
Gtk-Message: Failed to load module "overlay-scrollbar"
PYQT.VERSION: 4.8.7
PYQT.JPG_SUPPORT: supported
PYQT.SVG_SUPPORT: supported
QT.PLUGIN_PATH: /usr/lib/kde4/plugins:/usr/lib/x86_64-linux-gnu/qt4/plugins:/usr/bin
</pre>

On this debian installation, it works perfectly fine:
<pre>
NO VERSION file detected, retrieving revision info from HG
Detected HG revision: r2133 (f1c1945ee9e3)
Initialized logging
VERSION: 1.2.0 (r2133 f1c1945ee9e3) [hg parents command]
HG REVISION: r2133 (f1c1945ee9e3) [hg parents command]
HG BRANCH: default
SHORT VERSION: v1.2.0
BASEMESH VERSION: hm08
IS BUILT (FROZEN): No
IS RELEASE VERSION: No
DEFAULT ENCODING: utf-8
FILESYSTEM ENCODING: UTF-8
STDOUT ENCODING: UTF-8
WORKING DIRECTORY: /home/weis/code_bernstein/makehuman/makehuman
HOME LOCATION: /home/weis
PYTHON PATH: ./:./lib:./apps:./shared:./apps/gui:./core:/home/weis/code_bernstein/makehuman/makehuman:/home/weis/pylearn2/src/pylearn2:/usr/lib/python2.7:/usr/lib/python2.7/plat-x86_64-linux-gnu:/usr/lib/python2.7/lib-tk:/usr/lib/python2.7/lib-old:/usr/lib/python2.7/lib-dynload:/home/weis/.local/lib/python2.7/site-packages:/usr/local/lib/python2.7/dist-packages:/usr/lib/python2.7/dist-packages:/usr/lib/python2.7/dist-packages/PILcompat:/usr/lib/python2.7/dist-packages/gst-0.10:/usr/lib/python2.7/dist-packages/gtk-2.0:/usr/lib/pymodules/python2.7:/usr/lib/python2.7/dist-packages/wx-3.0-gtk2
DLL PATH: /usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
SYS.VERSION: 2.7.9 (default, Jun 29 2016, 13:08:31) [GCC 4.9.2]
SYS.PLATFORM: linux2
SYS.EXECUTABLE: /usr/bin/python
PLATFORM.MACHINE: x86_64
PLATFORM.PROCESSOR:
PLATFORM.UNAME.RELEASE: 3.16.0-4-amd64
PLATFORM.LINUX_DISTRIBUTION: debian 8.7
NUMPY.VERSION: 1.12.1
No OpenGL_accelerate module loaded: No module named OpenGL_accelerate
Unable to load registered array format handler numeric
Unable to load registered array format handler vbo
Unable to load registered array format handler vbooffset
PYQT.VERSION: 4.8.6
PYQT.JPG_SUPPORT: supported
PYQT.SVG_SUPPORT: supported
QT.PLUGIN_PATH: /usr/lib/x86_64-linux-gnu/qt4/plugins:/usr/lib/qt4/plugins:/usr/bin
</pre>

Back